/**
 * @file
 * confirm-leave.js
 */

(function ($, Drupal) {

  'use strict';

  /**
   * If any input in the form is modified, add a confirm message on unload.
   *
   * @type {Object}
   */
  Drupal.behaviors.confirmLeave = {
    attach: function (context, settings) {
      $('form :input').on('change', function (e) {
        window.onbeforeunload = function (e) {
          let dialogText = 'Are you sure?';
          e.returnValue = dialogText;
          return dialogText;
        }
      });
    }
  };

}(jQuery, Drupal));
